### Method

# EDataServer Client wait_for_connected_sync

since: 3.16

#### Declaration [src]

    gboolean
    e_client_wait_for_connected_sync (
      EClient* client,
      guint32 timeout_seconds,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously waits until the `client` is connected (according to `ESource`::connection-status property), but not longer than `timeout_seconds`.

Note: This also calls `e_client_retrieve_properties_sync()` on success, to have up-to-date property values on the client side, without a delay due to property change notifcations delivery through D-Bus.

Available since: 3.16

#### Parameters

`timeout_seconds`

  Type: `guint32`

  A timeout for the wait, in seconds.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.